Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'oprofile/org.eclipse.linuxtools.oprofile.core/natives/linux/scripts/uninstall-noconsolehelper.sh')
-rwxr-xr-xoprofile/org.eclipse.linuxtools.oprofile.core/natives/linux/scripts/uninstall-noconsolehelper.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/oprofile/org.eclipse.linuxtools.oprofile.core/natives/linux/scripts/uninstall-noconsolehelper.sh b/oprofile/org.eclipse.linuxtools.oprofile.core/natives/linux/scripts/uninstall-noconsolehelper.sh
new file mode 100755
index 0000000000..5bc9d7f654
--- /dev/null
+++ b/oprofile/org.eclipse.linuxtools.oprofile.core/natives/linux/scripts/uninstall-noconsolehelper.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+#
+# This script uninstalls the files necessary for root authentication when using
+# Eclipse-OProfile.
+
+#needs to be run as root
+if [ `id -u` -ne 0 ]; then
+ echo Error: script must be run as the root user
+ exit 1
+fi
+
+#need to be in scripts dir
+if [ $(basename $(pwd)) != scripts ]; then
+ echo Error: script must be run with pwd in script dir
+ exit 1
+fi
+
+rm -f ./opcontrol
+
+read -p 'Running visudo; remove the line: <username> ALL=NOPASSWD : /usr/bin/opcontrol'
+visudo
+
+echo Eclipse-OProfile plugin uninstall successful.

Back to the top